# LiquityV2Close

### Description

Closes a LiquityV2 trove on a specific market

> **Notes**
>
> Upon closing a trove on LiquityV2, fixed fee of 0.0375 WETH during opening is returned to the user

### Action ID

`0x3dcf3785`

### SDK Action

```ts
const liquityV2CloseAction = new dfs.actions.liquityV2.LiquityV2CloseAction(
    market,
    from,
    to,
    troveId
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param market The address of the LiquityV2 market (collateral branch)
    /// @param from The address to pull the bold tokens from
    /// @param to The address to send the tokens to
    /// @param troveId The ID of the trove to close
    struct Params {
        address market;
        address from;
        address to;
        uint256 troveId;
    }
```

### Return Value

```solidity
return bytes32(collAmount);
```

### Events and Logs

```solidity
emit ActionEvent("LiquityV2Close", logData);
logger.logActionDirectEvent("LiquityV2Close", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/liquityv2/liquityv2close.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
